<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop Enterprise 2.7.1                                     ***
  ***      File:  admin_fm_newfile.php                                     ***
  ***      Built: Wed Sep 20 13:19:51 2006                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/admin_fm_functions.php");
	include($root_folder_path . "includes/record.php");
	include($root_folder_path . "includes/sorter.php");
	include($root_folder_path . "includes/navigator.php");
	include($root_folder_path . "includes/date_functions.php");

	check_admin_security("filemanager");
	$error = "";
	$service_message = "";
	$t = new VA_Template($settings["admin_templates_dir"]);
	$t->set_file("main","admin_fm_newfile.html");
	$array_text_files = array("html", "htm", "css");

	$new_file = terminator(get_param("new_file"));
	$dir_path = check_dir_path(get_param("dir_path"));
	$file_content = get_param("file_content");
	$op = terminator(get_param("op"));

	$content_file = "";
	if((strlen($op) > 0) && $op == 1 && isset($file_content)) {
		if(in_array(get_ext_file($new_file), $array_text_files)) {
			if(@$fp = fopen($dir_path . "/" . $new_file, "w")) {
				fwrite($fp, stripslashes($file_content));
				fclose($fp);
				$service_message = "File " . $new_file . " was created.";
			}
			else {
				$error = "File " . $val_file["name"] . " wasn't uploaded. Please check the path and permissions.";
			}
		}
		else {
			$error = "Can't create file " . $new_file . " - invalid file extension.";
		}
		if(isset($new_file) && isset($dir_path) && file_exists($dir_path . "/" . $new_file)) {
			$content_file =  file_get_contents($dir_path . "/" . $new_file);
		}
	}
	if(strlen($error) > 0) {
		$t->set_var("error", $error);
		$t->parse("errors", true);
	}
	else {
		$t->set_var("errors", "");
	}
	if(strlen($service_message) > 0) {
		$t->set_var("service_message", $service_message);
		$t->parse("service_messages", true);
	}
	else {
		$t->set_var("service_messages", "");
	}
	$t->set_var("admin_filemanager_href", "admin_fm.php");
	$t->set_var("admin_newfile_href", "admin_fm_newfile.php");
	$t->set_var("dir_path", $dir_path);
	$t->set_var("content_file", $content_file);
	$t->set_var("new_file", $new_file);
	$t->set_var("host", get_session("host"));
	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");
?>