<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop Enterprise 2.7.1                                     ***
  ***      File:  admin_support_settings.php                               ***
  ***      Built: Wed Sep 20 13:19:51 2006                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");

	check_admin_security("support_settings");

	$message_types = 
		array( 
			array(1, "HTML"), array(0, "Plain Text")
		);
	$validation_types = 
		array( 
			array(2, "All Users"), array(1, "Unregistered User Only"), array(0, "Not Used")
		);

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_support_settings.html");

	$t->set_var("admin_support_href", "admin_support.php");
	$t->set_var("admin_support_settings_href", "admin_support_settings.php");
	$t->set_var("admin_support_help_href", "admin_support_help.php");
	$t->set_var("admin_email_help_href", "admin_email_help.php");

	$r = new VA_Record($table_prefix . "global_settings");
	
//begin changes related to knowledge base settings
  
	$sql  = " SELECT category_id, category_name, category_path, parent_category_id ";
	$sql .= " FROM " . $table_prefix . "articles_categories";
	$sql .= " ORDER BY parent_category_id, category_order ";
	$db->query($sql);
	if($db->next_record())
	{
		do
		{
			$row_category_id = $db->f("category_id");
			$row_category_name = $db->f("category_name");
			$row_category_path = $db->f("category_path");
			$row_parent_category_id = $db->f("parent_category_id");
      $array_knowledge_cat[] = array($row_category_id, $row_category_name, $row_category_path, $row_parent_category_id);
 		} while ($db->next_record());
	}

	$array_almost_complete_cat = array();
	function order_cat($p, &$k)   {
     global $array_knowledge_cat;
     global $array_almost_complete_cat;
	   for ($i=0; $i < sizeof($array_knowledge_cat); $i++)  {
        $cat_name = $array_knowledge_cat[$i];
	      if ($cat_name[3] == $p)  	{
           $array_almost_complete_cat[$k] = $cat_name;
           $k++;
           order_cat($cat_name[0], $k);

        }
     }
  }

  $k = 0;
  order_cat(0,$k);


	$k = 0;
	$array_complete_cat = array();
	$array_complete_cat[$k][0] = "";
	$array_complete_cat[$k][1] = "      ";
	$k++;
	foreach($array_almost_complete_cat as $cat_name) {
		$array_cat = explode(",", $cat_name[2]);
		for($i = 1; $i < count($array_cat); $i++) {
			if(!isset($array_complete_cat[$k][1])) $array_complete_cat[$k][1] = "";
			if ($i > 1)
			   $array_complete_cat[$k][1] .= " - ";
		}
		if(!isset($array_complete_cat[$k][0])) $array_complete_cat[$k][0] = "";
		$array_complete_cat[$k][0] .= $cat_name[0];
		$array_complete_cat[$k][1] .= $cat_name[1];
		$k++;
	}

	$r->add_select("knowledge_category", INTEGER, $array_complete_cat, "Knowledge Category");
	
	$statuses = get_db_values("SELECT status_id, status_name FROM " . $table_prefix . "articles_statuses WHERE is_shown=1", array(array("", "")));
	$r->add_select("knowledge_article_status", INTEGER, $statuses, "Knowledge Article Status");
	
	$r->add_textbox("attachments_dir", TEXT);
	$r->add_radio("use_random_image", TEXT, $validation_types);
	
//end changes related to knowledge base settings

	$r->add_textbox("intro_text", TEXT);

	// set up html form parameters
	$r->add_checkbox("admin_notification", INTEGER);
	$r->add_textbox("admin_email", TEXT);
	$r->add_textbox("admin_mail_from", TEXT);
	$r->add_textbox("cc_emails", TEXT);
	$r->add_textbox("admin_mail_bcc", TEXT);
	$r->add_textbox("admin_mail_reply_to", TEXT);
	$r->add_textbox("admin_mail_return_path", TEXT);
	$r->add_textbox("admin_subject", TEXT);
	$r->add_radio("admin_message_type", TEXT, $message_types);
	$r->add_textbox("admin_message", TEXT);

	//$r->add_checkbox("user_notification", INTEGER);
	$r->add_textbox("user_mail_from", TEXT);
	$r->add_textbox("user_mail_cc", TEXT);
	$r->add_textbox("user_mail_bcc", TEXT);
	$r->add_textbox("user_mail_reply_to", TEXT);
	$r->add_textbox("user_mail_return_path", TEXT);
	$r->add_textbox("user_subject", TEXT);
	$r->add_radio("user_message_type", TEXT, $message_types);
	$r->add_textbox("user_message", TEXT);

	$r->get_form_values();

	$operation = get_param("operation");
	$return_page = get_param("rp");
	if(!strlen($return_page)) $return_page = "admin_support.php";

	if(strlen($operation))
	{
		if($operation == "cancel")
		{
			header("Location: " . $return_page);
			exit;
		}

		if (!function_exists('imagecreate') && (($r->get_value("use_random_image") == 2) || ($r->get_value("use_random_image") == 1 ))) {	
		  $r->errors .= "Sorry, to use Random Image Validation please install <a href='http://www.php.net/gd' target='_blank'> php graphical library gd</a>.";
			$r->set_value("use_random_image",0);
		} 

		if(!strlen($r->errors))
		{
			$sql = "DELETE FROM " . $table_prefix . "global_settings WHERE setting_type='support'";
			$db->query($sql);
			foreach($r->parameters as $key => $value)
			{
				$sql  = "INSERT INTO " . $table_prefix . "global_settings (setting_type, setting_name, setting_value) VALUES (";
				$sql .= "'support', '" . $key . "'," . $db->tosql($value[CONTROL_VALUE], TEXT) . ")";
				$db->query($sql);
			}

			header("Location: " . $return_page);
			exit;
		}
	}
	else // get order_info settings
	{
		foreach($r->parameters as $key => $value)
		{
			$sql  = "SELECT setting_value FROM " . $table_prefix . "global_settings ";
			$sql .= "WHERE setting_type='support' AND setting_name='" . $key . "'";
			$r->set_value($key, get_db_value($sql));
		}
	}

	$r->set_parameters();
	$t->set_var("rp", htmlspecialchars($return_page));

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->set_var("admin_href", "admin.php");
	$t->pparse("main");

?>
