// basket javacript
function confirmDelete(itemType)
{
	var confirmMessage = "{REMOVE_FROM_CART_JS}";
	confirmMessage = confirmMessage.replace("\{item_type\}", itemType);
	return confirm(confirmMessage);
}

function confirmAllDelete()
{
	return confirm("{CLEAR_CART_JS}");
}

function changeListbox(cart_id, control, product_name, old_quantity)
{
	if(confirmChanges(cart_id, control.options[control.selectedIndex].text, product_name, old_quantity)) {
		document.basket.submit();
	} else {
		control.options[old_quantity].selected = true;
	}
}

function changeTextbox(cart_id, control, product_name, old_quantity)
{
	if(confirmChanges(cart_id, control.value, product_name, old_quantity)) {
		document.basket.submit();
	}	else	{
		control.value = old_quantity;
	}
}

function checkChanges(e, cart_id, control, product_name, old_quantity)
{
	var key;
	if (window.event) {
		key = window.event.keyCode; //IE
	} else {
		key = e.which; //firefox
	}

	if (key == 13) {
		if (confirmChanges(cart_id, control.value, product_name, old_quantity)) {
			document.basket.submit();
		} else {
			control.value = old_quantity;
		}
		return false;
	} else {
		return true;
	}
}


function confirmChanges(cart_id, new_quantity, product_name, old_quantity)
{
	var isConfirm = false;
	var confirmMessage = "";
  if (new_quantity < 1)
  {
		confirmMessage = "{CART_QTY_ZERO_JS}";
		confirmMessage = confirmMessage.replace("\{old_quantity\}", old_quantity);
		confirmMessage = confirmMessage.replace("\{product_name\}", product_name);
		if (confirm(confirmMessage))
		{
			isConfirm = true;
			document.basket.cart.value = "RM";
			document.basket.cart_id.value = cart_id;
			document.basket.new_quantity.value = 0;
		}
  }
  else
  {
		confirmMessage = "{ALTER_CART_QTY_JS}";
		confirmMessage = confirmMessage.replace("\{old_quantity\}", old_quantity);
		confirmMessage = confirmMessage.replace("\{new_quantity\}", new_quantity);
		confirmMessage = confirmMessage.replace("\{product_name\}", product_name);
    if (confirm(confirmMessage))
		{
			isConfirm = true;
			document.basket.cart.value = "QTY";
			document.basket.cart_id.value = cart_id;
			document.basket.new_quantity.value = new_quantity;
		}
  }
	return isConfirm;
}
