<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop Enterprise 2.7.1                                     ***
  ***      File:  product_options.php                                      ***
  ***      Built: Wed Sep 20 13:19:51 2006                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/
                           

	$type = "options";
	include_once ("./includes/common.php");
	include_once ("./messages/".$language_code."/cart_messages.php");
	include_once ("./includes/navigator.php");
	include_once ("./includes/date_functions.php");
	include_once ("./includes/tree.php");
	include_once ("./includes/items_properties.php");
	include_once ("./includes/shopping_cart.php");
	include_once ("./block_product_options.php");


	$display_products = get_setting_value($settings, "display_products", 0);
	if ($display_products == 1) {
		// user need to be logged in before viewing products
		check_user_session();
	}

	$currency = get_currency();
	$currency_left  = $currency["left"];
	$currency_right = $currency["right"];
	$currency_rate  = $currency["rate"];
	$tax_rates = get_tax_rates();
	$current_page = "product_options.php";
	$confirm_add = get_setting_value($settings, "confirm_add", 1);
	$confirm_code = ($confirm_add) ? "confirm('".ADD_PRODUCT_MSG."')" : "true";

  $t = new VA_Template("./js");
  $t->set_file("shopping_js","shopping.js");
	$t->set_var("REQUIRED_PROPERTY_MSG", REQUIRED_PROPERTY_MSG);
	$t->set_var("ADD_PRODUCT_MSG", ADD_PRODUCT_MSG);
	$t->set_var("confirm_code", $confirm_code);
	$t->parse("shopping_js", false);

	$t->templates_path = $settings["templates_dir"];
  $t->set_file("main","product_options.html");
	$t->set_var("current_href", "product_options.php");

	include_once ("./header.php");

	$html_title = ""; $meta_keywords = ""; $meta_description = "";
	product_options("product_options");

	include_once ("./footer.php");

	$t->set_var("html_title", $html_title);
	$t->set_var("meta_keywords", $meta_keywords);
	$t->set_var("meta_description", get_meta_desc($meta_description));
	$t->pparse("main");

?>