<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop Enterprise 2.7.1                                     ***
  ***      File:  admin_item_type.php                                      ***
  ***      Built: Wed Sep 20 13:19:51 2006                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");

	check_admin_security("products_categories");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_item_type.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_items_list_href", "admin_items_list.php");
	$t->set_var("admin_item_types_href", "admin_item_types.php");
	$t->set_var("admin_item_type_href", "admin_item_type.php");

	$r = new VA_Record($table_prefix . "item_types");
	$r->return_page = "admin_item_types.php";
	

	$r->add_where("item_type_id", INTEGER);

	$r->add_textbox("item_type_name", TEXT, "Type Name");
	$r->change_property("item_type_name", REQUIRED, true);
	$r->add_checkbox("is_gift_voucher", INTEGER);
	$r->add_checkbox("is_bundle", INTEGER);
	$r->events[AFTER_DELETE] = "delete_type_data";

	$r->process();

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");
	
	function delete_type_data()
	{
		global $r, $db, $table_prefix;

		$item_type_id = $r->get_value("item_type_id");

		// delete all properties
		$properties_ids = "";
		$sql = " SELECT property_id FROM " . $table_prefix ."items_properties WHERE item_type_id=" . $db->tosql($item_type_id, INTEGER); 
		$db->query($sql);
		while ($db->next_record()) {
			if(strlen($properties_ids)) { $properties_ids .= ","; }
			$properties_ids .= $db->f("property_id");
		}
		if (strlen($properties_ids)) {
			$db->query("DELETE FROM " . $table_prefix . "items_properties_values WHERE property_id IN (" . $db->tosql($properties_ids, TEXT, false) . ") ");
			$db->query("DELETE FROM " . $table_prefix . "items_properties WHERE item_type_id=" . $db->tosql($item_type_id, INTEGER)); 
		}

		// delete predefined specification
		$db->query("DELETE FROM " . $table_prefix . "features_default WHERE item_type_id=" . $db->tosql($item_type_id, INTEGER));		
	}

?>