<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop Enterprise 2.7.1                                     ***
  ***      File:  block_language.php                                       ***
  ***      Built: Wed Sep 20 13:19:51 2006                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


function language_form($block_name, $language_selection)
{
	global $t, $db, $table_prefix, $language_code;

	if($block_name) {
	  $t->set_file("block_body", "block_language.html");
	}

	$t->set_var("LANGUAGE_TITLE", LANGUAGE_TITLE);
	$t->set_var("APPLY_BUTTON",   APPLY_BUTTON);

	$query_string = transfer_params("", true);

	$sql  = " SELECT language_code, language_name, language_image ";
	$sql .= " FROM " . $table_prefix . "languages WHERE show_for_user=1 ORDER BY language_order, language_code ";
	$db->query($sql);
	while ($db->next_record()) {
		$row_language_code = $db->f("language_code");
		$row_language_name = $db->f("language_name");
		$language_image = $db->f("language_image");
		$language_selected = ($language_code == $row_language_code) ? "selected" : "";
		$t->set_var("language_selected", $language_selected);
		$t->set_var("language_code", $row_language_code);
		$t->set_var("language_name", $row_language_name);
		if ($language_image) {
			$image_size = preg_match("/^http\:\/\//", $language_image) ? "" : @GetImageSize($language_image);
      $t->set_var("src", htmlspecialchars($language_image));
			if (is_array($image_size)) {
        $t->set_var("width", "width=\"" . $image_size[0] . "\"");
	      $t->set_var("height", "height=\"" . $image_size[1] . "\"");
			} else {
        $t->set_var("width", "");
	      $t->set_var("height", "");
			}

			$language_query = $query_string;
			if($language_query) {
				$language_query .= "&";
			} else {
				$language_query .= "?";
			}
 			$language_query .= "language_code=" . $row_language_code; 
			$t->set_var("language_query", $language_query);

			$t->parse("languages_images", true);
		}
		$t->parse("languages", true);
	}

	if ($language_selection == 1) {
		$t->global_parse("select_image", false, false, true);
	} else {
		$t->set_var("languages_images", "");
		$t->parse("select_languages", false);
	}

	if($block_name) {
		$t->parse("block_body", false);
		$t->parse($block_name, true);
	}

}

?>