<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop Enterprise 2.7.1                                     ***
  ***      File:  messages.php                                             ***
  ***      Built: Wed Sep 20 13:19:51 2006                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	define("CHARSET", "windows-1252");
	// date messages
	define("YEAR_MSG", "jaar");
	define("MONTH_MSG", "maand");
	define("DAY_MSG", "dag");
	define("DAYS_MSG", "Days");
	define("HOUR_MSG", "uur");
	define("MINUTE_MSG", "minuut");
	define("SECOND_MSG", "seconde");

	// months
	define("JANUARY", "januari");
	define("FEBRUARY", "februari");
	define("MARCH", "maart");
	define("APRIL", "april");
	define("MAY", "mei");
	define("JUNE", "juni");
	define("JULY", "juli");
	define("AUGUST", "augustus");
	define("SEPTEMBER", "september");
	define("OCTOBER", "oktober");
	define("NOVEMBER", "november");
	define("DECEMBER", "december");

	define("JANUARY_SHORT", "jan");
	define("FEBRUARY_SHORT", "feb");
	define("MARCH_SHORT", "mrt");
	define("APRIL_SHORT", "apr");
	define("MAY_SHORT", "mei");
	define("JUNE_SHORT", "jun");
	define("JULY_SHORT", "jul");
	define("AUGUST_SHORT", "aug");
	define("SEPTEMBER_SHORT", "sep");
	define("OCTOBER_SHORT", "okt");
	define("NOVEMBER_SHORT", "nov");
	define("DECEMBER_SHORT", "dec");

	// weekdays
	define("SUNDAY", "zondag");
	define("MONDAY", "maandag");
	define("TUESDAY", "dinsdag");
	define("WEDNESDAY", "woensdag");
	define("THURSDAY", "donderdag");
	define("FRIDAY", "vrijdag");
	define("SATURDAY", "zaterdag");

	define("SUNDAY_SHORT", "zo");
	define("MONDAY_SHORT", "ma");
	define("TUESDAY_SHORT", "di");
	define("WEDNESDAY_SHORT", "wo");
	define("THURSDAY_SHORT", "do");
	define("FRIDAY_SHORT", "vr");
	define("SATURDAY_SHORT", "za");

	// validation messages
	define("REQUIRED_MESSAGE", "<b>{field_name}</b> is verplicht.");
	define("UNIQUE_MESSAGE", "De waarde in veld <b>{field_name}</b> bestaat reeds in database.");
	define("VALIDATION_MESSAGE", "Validatie mislukt voor veld {field_name}.");
	define("MATCHED_MESSAGE", "<b>{field_one}</b> en <b>{field_two}</b> passen niet bijelkaar.");

	define("INCORRECT_DATE_MESSAGE", "<b>{field_name}</b> heeft onjuiste datumwaarde. Gebruik kalendardatums.");
	define("INCORRECT_MASK_MESSAGE", "<b>{field_name}</b> past niet bij masker. Gebruik het volgende '<b>{field_mask}</b>'");
	define("INCORRECT_EMAIL_MESSAGE", "Onjuist emailformaat in veld {field_name}.");
	define("INCORRECT_VALUE_MESSAGE", "Onjuiste waarde in veld <b>{field_name}</b>.");

	define("MIN_VALUE_MESSAGE", "De waarde in veld <b>{field_name}</b> kan niet meer zijn dan {min_value}.");
	define("MAX_VALUE_MESSAGE", "De waarde in veld <b>{field_name}</b> kan niet groter zijn dan {max_value}.");
	define("MIN_LENGTH_MESSAGE", "De lengte in veld <b>{field_name}</b> kan niet minder zijn dan {min_length} karakters.");
	define("MAX_LENGTH_MESSAGE", "De lengte in veld <b>{field_name}</b> kan niet groter zijn dan {max_length} karakters.");

	define("FILE_PERMISSION_MESSAGE", "Geen schrijfrechten tot bestand <b>'{file_name}'</b>. Wijzig a.u.b. schrijfrechten alvorens door te gaan.");
	define("FOLDER_PERMISSION_MESSAGE", "Geen schrijfrechten tot map <b>'{folder_name}'</b>. Wijzig a.u.b. schrijfrechten alvorens door te gaan.");
	define("INVALID_EMAIL_MSG", "Uw emailadres is niet geldig.");
	define("DATABASE_ERROR_MSG", "Database fouten hebben plaatsgevonden.");
	define("BLACK_IP_MSG", "This action is not permitted from your host.");
	define("BANNED_CONTENT_MSG", "Sorry, the provided content contains illegal statement.");
	define("ERRORS_MSG", "Fouten");

	// titles 
	define("TOP_RATED_TITLE", "Best Beoordeeld");
	define("TOP_VIEWED_TITLE", "Meest Bekeken");
	define("RECENTLY_VIEWED_TITLE", "Recentelijk Bekeken");
	define("HOT_TITLE", "Top");
	define("LATEST_TITLE", "Laatste");
	define("CONTENT_TITLE", "Inhoud");
	define("RELATED_TITLE", "Gerelateerde");
	define("SEARCH_TITLE", "Zoeken");
	define("ADVANCED_SEARCH_TITLE", "Uitgebreid Zoeken");
	define("LOGIN_TITLE", "User Login");
	define("CATEGORIES_TITLE", "Categorien");
	define("MANUFACTURERS_TITLE", "Producenten");
	define("SPECIAL_OFFER_TITLE", "Speciale Aanmbiedingen");
	define("NEWS_TITLE", "Nieuws");
	define("EVENTS_TITLE", "Agenda");
	define("PROFILE_TITLE", "Profiel");
	define("USER_HOME_TITLE", "Home Page");
	define("DOWNLOAD_TITLE", "Download");
	define("FAQ_TITLE", "Frequently Asked Questions");
	define("POLL_TITLE", "Poll");
	define("HOME_PAGE_TITLE", "Home Page");
	define("CURRENCY_TITLE", "Munteenheid");
	define("SUBSCRIBE_TITLE", "Inschrijven");
	define("UNSUBSCRIBE_TITLE", "Uitschrijven");
	define("UPLOAD_TITLE", "Upload");
	define("ADS_TITLE", "Ads");
	define("ADS_COMPARE_TITLE", "Ads Comparison");
	define("ADS_SELLERS_TITLE", "Sellers");
	define("AD_REQUEST_TITLE", "Make an Offer / Ask Seller a Question");
	define("LANGUAGE_TITLE", "Languages");
	define("PREVIEW_TITLE", "Preview");

	// menu items
	define("MENU_ABOUT", "over ons");
	define("MENU_ACCOUNT", "uw account");
	define("MENU_BASKET", "uw bestellijst");
	define("MENU_CONTACT", "contact");
	define("MENU_DOCUMENTATION", "documentatie");
	define("MENU_DOWNLOADS", "downloads");
	define("MENU_EVENTS", "agenda");
	define("MENU_FAQ", "faq");
	define("MENU_FORUM", "forum");
	define("MENU_HELP", "help");
	define("MENU_HOME", "start");
	define("MENU_HOW", "hoe te bestellen");
	define("MENU_MEMBERS", "leden");
	define("MENU_MYPROFILE", "mijn profiel");
	define("MENU_NEWS", "nieuws");
	define("MENU_PRIVACY", "privacy");
	define("MENU_PRODUCTS", "producten");
	define("MENU_REGISTRATION", "registratie");
	define("MENU_SHIPPING", "verschepen");
	define("MENU_SIGNIN", "log in");
	define("MENU_SIGNOUT", "log uit");
	define("MENU_SUPPORT", "ondersteuning");
	define("MENU_USERHOME", "gebruikersstart");
	define("MENU_ADS", "classified ads");
	define("MENU_ADMIN", "administration");
	define("MENU_KNOWLEDGE", "Knowledge Base");

	// main terms
	define("NO_MSG", "Nee");
	define("YES_MSG", "Ja");
	define("NOT_AVAILABLE_MSG", "N/J");
	define("MORE_MSG", "meer...");
	define("READ_MORE_MSG", "lees meer...");
	define("CLICK_HERE_MSG", "klik hier");
	define("ENTER_YOUR_MSG", "Vul in uw");
	define("CHOOSE_A_MSG", "Kies een");
	define("PLEASE_CHOOSE_MSG", "Kies a.u.b.");
	define("SELECT_MSG", "Selecteer");
	define("NEXT_PAGE_MSG", "Volgende");
	define("PREV_PAGE_MSG", "Vorige");
	define("FIRST_PAGE_MSG", "Eertse");
	define("LAST_PAGE_MSG", "Laatste");
	define("OF_PAGE_MSG", "of");
	define("TOP_CATEGORY_MSG", "Top");
	define("SEARCH_IN_CURRENT_MSG", "Huidige Categorie");
	define("SEARCH_IN_ALL_MSG", "Alle Categorien");
	define("FOUND_IN_MSG", "Gevonden in");
	define("VOTES_MSG", "stemmen");
	define("VIEW_RESULTS_MSG", "Bekijk Resultaten");
	define("PREVIOUS_POLLS_MSG", "Vorige Polls");
	define("TOTAL_MSG", "Totaal");
	define("CLOSED_MSG", "Closed");
	define("CLOSE_WINDOW_MSG", "Sluit Venster");
	define("ASTERISK_MSG", "asterisk (*) - verplichte velden");
	define("PROVIDE_INFO_MSG", "Vul a.u.b. gegevens in de roodgekleurde secties en klik '{button_name}'.");
	define("FOUND_ARTICLES_MSG", "We hebben <b>{found_records}</b> artikelen gevonden die voldaan aan de term(en) '<b>{search_string}</b>'");
	define("NO_ARTICLE_MSG", "Artikel met dit ID is niet beschikbaar");
	define("NO_ARTICLES_MSG", "Geen artikelen gevonden");
	define("NOTES_MSG", "Opmerkingen");
	define("KEYWORDS_MSG", "Trefwoorden");
	define("LINK_URL_MSG", "Link");
	define("DOWNLOAD_URL_MSG", "Download");
	define("SUBSCRIBE_FORM_MSG", "Om onze nieuwsbrief te ontvangen kunt u hieronder uw emailadres invullen. Klik dan op '{button_name}' button.");
	define("UNSUBSCRIBE_FORM_MSG", "Vul uw emailadres hieronder in en klik op '{button_name}' button.");
	define("SUBSCRIBE_LINK_MSG", "Inschrijven");
	define("UNSUBSCRIBE_LINK_MSG", "Uitschrijven");
	define("SUBSCRIBED_MSG", "Gefeliciteerd! U bent nu officieel ingeschreven op onze nieuwsbrief.");
	define("ALREADY_SUBSCRIBED_MSG", "U bent reeds ingeschreven op onze mailing list. Bedankt.");
	define("UNSUBSCRIBED_MSG", "U bent nu uitgeschreven van onze mailing list. Bedankt.");
	define("UNSUBSCRIBED_ERROR_MSG", "We kunnen uw emailadres niet vinden in onze database; waarschijnlijk bent u reeds uitgeschreven van onze nieuwsbrief.");
	define("FORGOT_PASSWORD_MSG", "Uw password vergeten?");
	define("FORGOT_PASSWORD_DESC", "Vul a.u.b. uw emailadres in, dat u ook gebruikte toen u zich inschreef:");
	define("FORGOT_EMAIL_ERROR_MSG", "Wij kunnen helaas uw emailadres niet terugvinden in onze database");
	define("FORGOT_EMAIL_SENT_MSG", "Uw login gegevens zijn verstuurd naar uw emailadres.");
	define("RESET_PASSWORD_REQUIRE_MSG", "Some required parameters were missed.");
	define("RESET_PASSWORD_PARAMS_MSG", "The parameters you supplied does not match any in the database.");
	define("RESET_PASSWORD_EXPIRY_MSG", "The reset code you supplied has expired. Please request a new code to reset your password.");
	define("RESET_PASSWORD_SAVED_MSG", "Your new password was successfully saved.");
	define("UPLOAD_SELECT_MSG", "Selecteer een bestand en klik op {button_name}.");
	define("UPLOADED_FILE_MSG", "Bestand <b>{filename}</b> is ontvangen.");
	define("UPLOAD_SELECT_ERROR", "Selecteer eerst een bestand.");
	define("UPLOAD_FORMAT_ERROR", "Alleen afbeeldingen zijn toegestaan.");
	define("UPLOAD_SIZE_ERROR", "Bestanden groter dan {filesize} zijn niet toegestaan.");
	define("UPLOAD_DIMENSION_ERROR", "Afbeeldingen groter dan {dimension} zijn niet toegestaan.");
	define("UPLOAD_CREATE_ERROR", "Systeem kan het bestand niet aanmaken.");
	define("UPLOAD_IMAGE_MSG", "Verzend afbeelding");
	define("PRINTER_FRIENDLY_MSG", "Geoptimaliseerd voor afdrukken");
	define("PRINT_PAGE_MSG", "Print deze pagina");
	define("ATTACHMENTS_MSG", "Attachments");

	// account messages
	define("LOGIN_AS_MSG", "Login als");
	define("LOGIN_INFO_MSG", "Login Informatie");
	define("ACCESS_HOME_MSG", "Om 'home' te bereiken");
	define("REMEMBER_LOGIN_MSG", "Onthoud mijn login en password");
	define("ENTER_LOGIN_MSG", "Vul uw login en password in om door te gaan");
	define("LOGIN_PASSWORD_ERROR", "Password en Login zijn onjuist.");
	define("ACCOUNT_APPROVE_ERROR", "Sorry, uw account is nog niet bevestigd.");
	define("NEW_PROFILE_ERROR", "U heeft geen rechten om een account aan te maken.");
	define("EDIT_PROFILE_ERROR", "U heeft geen rechten om het profiel aan te passen.");
	define("CHANGE_DETAILS_MSG", "Verander uw details");
	define("CHANGE_DETAILS_DESC", "Klik de link hierboven om uw contact- of logingegevens te wijzigen.");
	define("CHANGE_PASSWORD_MSG", "Wijzig password");
	define("CHANGE_PASSWORD_DESC", "Via de link hieronder komt u op een pagina waar u uw password kunt wijzigen.");
	define("SIGN_UP_MSG", "Registreer nu");
	define("MY_ACCOUNT_MSG", "Mijn Account");
	define("NEW_USER_MSG", "Nieuwe gebruiker");
	define("EXISTS_USER_MSG", "Bestaande gebruikers");
	define("EDIT_PROFILE_MSG", "Bewerk Profiel");
	define("PERSONAL_DETAILS_MSG", "Persoonlijke Details");
	define("DELIVERY_DETAILS_MSG", "Bezorgingsdetails");
	define("SAME_DETAILS_MSG", "Als de gegevensdetails gelijk zijn als hierboven plaats hier een vinkje <br> zo niet, vul de verdere details in");
	define("DELIVERY_MSG", "Bezorging");
	define("SUBSCRIBE_CHECKBOX_MSG", "Selecteer a.u.b. het keuzevakje als u onze nieuwsbrief wenst te ontvangen.");

	// ads messages
	define("MY_ADS_MSG", "My Ads");
	define("MY_ADS_DESC", "If you have items that you would like to sell, place an ad here. It's quick and easy to place ads.");
	define("EDIT_AD_MSG", "Edit Ad");
	define("ADD_NEW_AD_MSG", "Add New Ad");
	define("AD_ID_COLUMN", "ID");
	define("AD_TITLE_COLUMN", "Title");
	define("AD_PRICE_COLUMN", "Price");
	define("AD_STATUS_COLUMN", "Status");
	define("AD_GENERAL_MSG", "General Ad Information");
	define("AD_CATEGORY_MSG", "Category");
	define("AD_SELECT_CATEGORY_MSG", "Select Category");
	define("AD_TYPE_MSG", "Type");
	define("AD_TITLE_MSG", "Title");
	define("AD_SELLER_MSG", "Seller");
	define("AD_START_MSG", "Date Start");
	define("AD_DATE_FORMAT_MSG", "use following format <b>{date_format}</b>");
	define("AD_RUNS_MSG", "Days to run");
	define("AD_PRICE_MSG", "Price");
	define("AD_QTY_MSG", "Quantity");
	define("AD_AVAILABILITY_MSG", "Availability");
	define("AD_COMPARED_MSG", "Allow ad comparison");
	define("AD_IMAGES_MSG", "Images");
	define("AD_UPLOAD_MSG", "Upload Image");
	define("AD_SMALL_IMAGE_MSG", "Small Image");
	define("AD_LARGE_IMAGE_MSG", "Large Image");
	define("AD_DESCRIPTION_MSG", "Description");
	define("AD_SHORT_DESC_MSG", "Short Description");
	define("AD_FULL_DESC_MSG", "Full Description");
	define("AD_LOCATION_MSG", "Location");
	define("AD_CITY_MSG", "City");
	define("AD_STATE_MSG", "State");
	define("AD_COUNTRY_MSG", "Country");
	define("AD_LOCATION_INFO_MSG", "Additional Information");
	define("AD_PROPERTIES_MSG", "Ad Properties");
	define("AD_SPECIFICATION_MSG", "Ad Specification");
	define("AD_MORE_IMAGES_MSG", "More Images");
	define("AD_IMAGE_MSG", "Image");
	define("AD_IMAGE_TITLE_MSG", "Title");
	define("AD_IMAGE_PREVIEW_MSG", "Preview Image");
	define("AD_IMAGE_LARGE_MSG", "Large Image");
	define("AD_IMAGE_DESC_MSG", "Image Description");
	define("AD_DELETE_CONFIRM_MSG", "Do you want delete this Ad?");
	define("AD_NOT_APPROVED_MSG", "Not Approved");
	define("AD_RUNNING_MSG", "Running");
	define("AD_CLOSED_MSG", "Closed");
	define("AD_EXPIRED_MSG", "Expired");
	define("AD_NOT_STARTED_MSG", "Not Started");
	define("AD_NEW_ERROR", "You don't have permissions to create a new Ad.");
	define("AD_EDIT_ERROR", "You don't have permissions to edit this Ad.");
	define("AD_DELETE_ERROR", "You don't have permissions to delete this Ad.");
	define("NO_ADS_MSG", "No ads were found in this category");
	define("NO_AD_MSG", "No Ad with this ID is available in this category");
	define("FOUND_ADS_MSG", "We've found <b>{found_records}</b> ads matching the term(s) '<b>{search_string}</b>'");
	define("AD_OFFER_PRICE_MSG", "Price");
	define("AD_OFFER_MESSAGE_MSG", "Offer");
	define("AD_OFFER_LOGIN_ERROR", "You need to be logged in before proceeding.");
	define("AD_REQUEST_BUTTON", "Send Enquiry");
	define("AD_SENT_MSG", "Your offer was successfully sent.");

	// search message
	define("SEARCH_FOR_MSG", "Zoek naar");
	define("SEARCH_IN_MSG", "Zoek in");
	define("SEARCH_TITLE_MSG", "Titel");
	define("SEARCH_CODE_MSG", "Code");
	define("SEARCH_SHORT_DESC_MSG", "Korte beschrijving");
	define("SEARCH_FULL_DESC_MSG", "Uitgebreide beschrijving");
	define("SEARCH_CATEGORY_MSG", "Zoek in categorie");
	define("SEARCH_MANUFACTURER_MSG", "Fabrikant");
	define("SEARCH_SELLER_MSG", "Verkoper");
	define("SEARCH_PRICE_MSG", "Prijs-range");
	define("SEARCH_WEIGHT_MSG", "Gewicht-limieten");
	define("SEARCH_RESULTS_MSG", "Search Results");

	// compare messages
	define("COMPARE_MSG", "Vergelijk");
	define("COMPARE_REMOVE_MSG", "Verwijder");
	define("COMPARE_REMOVE_HELP_MSG", "Klik hier om dit product te verwijderen van de vergelijkingstabel");
	define("COMPARE_MIN_ALLOWED_MSG", "U moet tenminste 2 producten selecteren");
	define("COMPARE_MAX_ALLOWED_MSG", "U kunt niet meer dan 5 producten selecteren");
	define("COMPARE_PARAM_ERROR_MSG", "Vergelijkingsparameter heeft de verkeerde waarde");

	//Vertel een kennis berichten
	define("TELL_FRIEND_TITLE", "Vertel een kennis");
	define("TELL_FRIEND_SUBJECT_MSG", "Uw kennis heeft deze link naar u gestuurd");
	define("TELL_FRIEND_DEFAULT_MSG", "Hallo {friend_name} - Ik dacht dat je misschien wel genteresseerd bent in {item_title} op deze site {site_url}");
	define("TELL_YOUR_NAME_FIELD", "Uw naam");
	define("TELL_YOUR_EMAIL_FIELD", "Uw emailadres");
	define("TELL_FRIENDS_NAME_FIELD", "Naam van kennis");
	define("TELL_FRIENDS_EMAIL_FIELD", "Emailadres van kennis");
	define("TELL_COMMENT_FIELD", "Bericht");
	define("TELL_FRIEND_PRIVACY_NOTE_MSG", "PRIVACY BERICHT: Wij zullen uw emailadres of dat van uw kennis nimmer saven of hergebruiken voor andere doeleinden");
	define("TELL_SENT_MSG", "Uw bericht is verzonden.<br>Dank u wel!");

	// buttons
	define("GO_BUTTON", "Verder");
	define("CONTINUE_BUTTON", "Verder");
	define("BACK_BUTTON", "Terug");
	define("NEXT_BUTTON", "Volgende");
	define("PREV_BUTTON", "Vorige");
	define("SIGN_IN_BUTTON", "Registreer");
	define("LOGIN_BUTTON", "Login");
	define("LOGOUT_BUTTON", "Logout");
	define("SEARCH_BUTTON", "Zoek");
	define("RATE_IT_BUTTON", "Beoordeel het!");
	define("ADD_BUTTON", "Voeg toe");
	define("UPDATE_BUTTON", "Update");
	define("APPLY_BUTTON", "Voer uit");
	define("REGISTER_BUTTON", "Registreer");
	define("VOTE_BUTTON", "Stem");
	define("CANCEL_BUTTON", "Cancel");
	define("CLEAR_BUTTON", "Maak leeg");
	define("RESET_BUTTON", "Reset");
	define("DELETE_BUTTON", "Delete");
	define("SUBSCRIBE_BUTTON", "Inschrijven");
	define("UNSUBSCRIBE_BUTTON", "Uitschrijven");
	define("SUBMIT_BUTTON", "Verzend");
	define("UPLOAD_BUTTON", "Upload");
	define("SEND_BUTTON", "Send");
	define("PREVIEW_BUTTON", "Preview");

	// fields
	define("LOGIN_FIELD", "Username");
	define("PASSWORD_FIELD", "Password");
	define("CONFIRM_PASS_FIELD", "Bevestig Password");
	define("NEW_PASS_FIELD", "Nieuw Password");
	define("CURRENT_PASS_FIELD", "Huidig Password");
	define("NAME_FIELD", "Naam");
	define("FIRST_NAME_FIELD", "Voorame");
	define("LAST_NAME_FIELD", "Achternaamame");
	define("PERSONAL_IMAGE_FIELD", "Foto");
	define("COMPANY_SELECT_FIELD", "Bedrijf");
	define("SELECT_COMPANY_MSG", "Selecteer Bedrijf");
	define("COMPANY_NAME_FIELD", "Bedrijfsnaam");
	define("EMAIL_FIELD", "Email");
	define("STREET_FIRST_FIELD", "Straatnaam 1");
	define("STREET_SECOND_FIELD", "Straatnaam 2");
	define("CITY_FIELD", "Woonplaats");
	define("PROVINCE_FIELD", "Provincie");
	define("SELECT_STATE_MSG", "Niet US");
	define("STATE_FIELD", "Staat (alleen US)");
	define("ZIP_FIELD", "Zip/Postcode");
	define("SELECT_COUNTRY_MSG", "Selecteer Land");
	define("COUNTRY_FIELD", "Land");
	define("PHONE_FIELD", "Telefoon");
	define("DAYTIME_PHONE_FIELD", "Telefoon overdag");
	define("EVENING_PHONE_FIELD", "Telefoon 's avonds");
	define("CELL_PHONE_FIELD", "Mobiele Telefoon");
	define("FAX_FIELD", "Fax");
	define("VALIDATION_CODE_FIELD", "Validation Code");

	// no records messages
	define("NO_RECORDS_MSG", "Geen gegevens gevonden");
	define("NO_EVENTS_MSG", "Geen agendagegevens gevonden");
	define("NO_QUESTIONS_MSG", "Geen vragen gevonden");
	define("NO_NEWS_MSG", "Geen nieuwsberichten gevonden");
	define("NO_POLLS_MSG", "Geen polls gevonden");

	// SMS messages
	define("SMS_TITLE", "SMS");
	define("SMS_TEST_TITLE", "SMS Test");
	define("SMS_TEST_DESC", "Please enter your cell phone number and press button 'SEND_BUTTON' to receive test message");
	define("INVALID_CELL_PHONE", "Incorrect cell phone number");

?>
